Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::OwData Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::OwData:
[legend]
Collaboration diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::OwData:
[legend]

## Public Member Functions
| OwData (Ogawa::OGroupPtr iGroup)
AbcA::CompoundPropertyWriterPtr | getProperties (AbcA::ObjectWriterPtr iParent)
size_t | getNumChildren ()
const AbcA::ObjectHeader & | getChildHeader (size_t i)
const AbcA::ObjectHeader * | getChildHeader (const std::string &iName)
AbcA::ObjectWriterPtr | getChild (const std::string &iName)
AbcA::ObjectWriterPtr | createChild (AbcA::ObjectWriterPtr iParent, const std::string &iFullName, const AbcA::ObjectHeader &iHeader)
Ogawa::OGroupPtr | getGroup ()
void | writeHeaders (MetaDataMapPtr iMetaDataMap, Util::SpookyHash &ioHash)
void | fillHash (std::size_t iIndex, Util::uint64_t iHash0, Util::uint64_t iHash1)

The documentation for this class was generated from the following files:

- AbcCoreOgawa/OwData.h
- AbcCoreOgawa/OwData.cpp